Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.mindswap.pellet
Class EdgeList

    java.lang.Object
      org.mindswap.pellet.EdgeList

All Implemented Interfaces:
  java.lang.Iterable<Edge>

    public class EdgeList

extends java.lang.Object
implements java.lang.Iterable<Edge>

Author:
  Evren Sirin

Constructor Summary
`EdgeList()`
`EdgeList(Edge edge)` Create an immutable singleton EdgeList;
`EdgeList(EdgeList edges)`
`EdgeList(int size)`

Method Summary
`void` | `addEdge(Edge e)`
`void` | `addEdgeList(EdgeList edges)`
`Edge` | `edgeAt(int i)`
`DependencySet` | `getDepends(boolean doExplanation)`
`EdgeList` | `getEdges(Role role)`
`EdgeList` | `getEdgesContaining(Node node)`
`EdgeList` | `getEdgesFrom(Individual from)`
`EdgeList` | `getEdgesFromTo(Individual from, Node to)`
`EdgeList` | `getEdgesTo(Node to)`
`java.util.Set<Node>` | `getFilteredNeighbors(Individual node, aterm.ATermAppl c)` Find the neighbors of a node that has a certain type.
`java.util.Set<aterm.ATermAppl>` | `getNeighborNames(Individual node)`
`java.util.Set<Node>` | `getNeighbors(Node node)`
`java.util.Set<Individual>` | `getPredecessors()`
`java.util.Set<Role>` | `getRoles()`
`java.util.Set<Node>` | `getSuccessors()`
`boolean` | `hasEdge(Edge e)`
`boolean` | `hasEdge(Individual from, Role role, Node to)`
`boolean` | `hasEdge(Role role)`
`boolean` | `hasEdgeFrom(Individual from)`
`boolean` | `hasEdgeFrom(Individual from, Role role)`
`boolean` | `hasEdgeTo(Node to)`
`boolean` | `hasEdgeTo(Role role, Node to)`
`boolean` | `isEmpty()`
`java.util.Iterator<Edge>` | `iterator()`
`boolean` | `removeEdge(Edge edge)`
`int` | `size()`
`EdgeList` | `sort()`
`java.lang.String` | `toString()`
`EdgeList` | `unmodifiable()`

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Constructor Detail

### EdgeList

    public EdgeList()

### EdgeList

    public EdgeList(int size)

### EdgeList

    public EdgeList(EdgeList edges)

### EdgeList

    public EdgeList(Edge edge)

  Create an immutable singleton EdgeList;

  Parameters:
    `edge` -

Method Detail

### addEdgeList

    public void addEdgeList(EdgeList edges)

### addEdge

    public void addEdge(Edge e)

### unmodifiable

    public EdgeList unmodifiable()

### removeEdge

    public boolean removeEdge(Edge edge)

### edgeAt

    public Edge edgeAt(int i)

### size

    public int size()

### sort

    public EdgeList sort()

### isEmpty

    public boolean isEmpty()

### iterator

    public java.util.Iterator<Edge> iterator()

  Specified by:
    `iterator` in interface `java.lang.Iterable<Edge>`

### getEdgesFromTo

    public EdgeList getEdgesFromTo(Individual from,
                                   Node to)

### getEdgesFrom

    public EdgeList getEdgesFrom(Individual from)

### getEdgesTo

    public EdgeList getEdgesTo(Node to)

### getEdges

    public EdgeList getEdges(Role role)

### getEdgesContaining

    public EdgeList getEdgesContaining(Node node)

### getPredecessors

    public java.util.Set<Individual> getPredecessors()

### getSuccessors

    public java.util.Set<Node> getSuccessors()

### getRoles

    public java.util.Set<Role> getRoles()

### getNeighborNames

    public java.util.Set<aterm.ATermAppl> getNeighborNames(Individual node)

### getNeighbors

    public java.util.Set<Node> getNeighbors(Node node)

### getFilteredNeighbors

    public java.util.Set<Node> getFilteredNeighbors(Individual node,
                                                    aterm.ATermAppl c)

  Find the neighbors of a node that has a certain type. For literals, we collect only the ones with the same language tag.

  Parameters:
    `node` - The node whose neighbors are being sought
    `c` - The concept (or datatype) that each neighbor should belong to
  Returns:
    Set of nodes

### hasEdgeFrom

    public boolean hasEdgeFrom(Individual from)

### hasEdgeFrom

    public boolean hasEdgeFrom(Individual from,
                               Role role)

### hasEdgeTo

    public boolean hasEdgeTo(Node to)

### hasEdgeTo

    public boolean hasEdgeTo(Role role,
                             Node to)

### hasEdge

    public boolean hasEdge(Role role)

### hasEdge

    public boolean hasEdge(Individual from,
                           Role role,
                           Node to)

### hasEdge

    public boolean hasEdge(Edge e)

### getDepends

    public DependencySet getDepends(boolean doExplanation)

### toString

    public java.lang.String toString()

  Overrides:
    `toString` in class `java.lang.Object`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2004 Evren Sirin. All Rights Reserved.